[octave forge] optiminterp 0.3.6 released

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

[octave forge] optiminterp 0.3.6 released

John Donoghue-3
A new release of GNU Octave 'optiminterp' package is available [1]

It is mainly a fix for the depreciated symbols for the upcoming Octave 6
release

[1] https://octave.sourceforge.io/optiminterp/index.html



Reply | Threaded
Open this post in threaded view
|

RE: [octave forge] optiminterp 0.3.6 released

Windhorn, Allen E [ACIM/LSA/MKT]
> -----Original Message-----
> From: Help-octave On Behalf Of John Donoghue
>
> A new release of GNU Octave 'optiminterp' package is available [1]
>
> It is mainly a fix for the depreciated symbols for the upcoming Octave 6
> release
>
> [1] https://octave.sourceforge.io/optiminterp/index.html

>> pkg install -forge optiminterp
sh: line 1:  7424 Segmentation fault      (core dumped) MKOCTFILE='C:/Octave/OCTAVE~1.0/mingw64/bin/mkoctfile-5.1.0.exe
' OCTAVE_CONFIG='C:/Octave/OCTAVE~1.0/mingw64/bin/octave-config-5.1.0.exe' OCTAVE='C:/Octave/OCTAVE~1.0/mingw64/bin/oct
ave-5.1.0.bat' ./configure CC=gcc

pkg: error running the configure script for optiminterp.
error: called from
    configure_make at line 82 column 9
    install at line 184 column 7
    pkg at line 441 column 9

May be nothing to do with optiminterp; I get the same for the new io pkg.

Regards,
Allen

Reply | Threaded
Open this post in threaded view
|

RE: [octave forge] optiminterp 0.3.6 released

Windhorn, Allen E [ACIM/LSA/MKT]
John,

> -----Original Message-----
> From: JohnD <[hidden email]>
>
> It works without issue in 5.1.0 on my windows machine
>
> Try running:
> pkg install -verbose -forge optiminterp

>> pkg install -verbose -forge optiminterp
mkdir (c:\Octave\Temp\oct-UPNRut)
untar (H:\work\matlab\optiminterp-0.3.6.tar.gz, c:\Octave\Temp\oct-UPNRut)
sh: line 1:  9080 Segmentation fault      (core dumped) MKOCTFILE='C:/Octave/OCTAVE~1.0/mingw64/bin/mkoctfile-5.1.0.exe
 --verbose' OCTAVE_CONFIG='C:/Octave/OCTAVE~1.0/mingw64/bin/octave-config-5.1.0.exe' OCTAVE='C:/Octave/OCTAVE~1.0/mingw
64/bin/octave-5.1.0.bat' ./configure CC=gcc

pkg: error running the configure script for optiminterp.
error: called from
    configure_make at line 82 column 9
    install at line 184 column 7
    pkg at line 441 column 9

Probably not much help there.  A problem with mingw?
 
> Can you create a bug report on the bug tracker
> https://savannah.gnu.org/bugs/?group=octave

I have now done that.

Regards,
Allen